v2.0

get

/ec-library-svc/rest/v2.0/libraryUses/library/{libraryId}/studyType/{studyType}

Retrieves all library uses for a given library object and study type, for study types it was imported to.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : LibraryUsesDtoV2.0
Type: object
Title: LibraryUsesDtoV2.0
Information about how a library object is used in studies.
Show Source
  • Title: Library ID
    Unique identifier (UUID, 32-character uppercase hexadecimal string) of the library object.
    Example: B1B8327AFAA6412287106192AB5984EF
  • Title: Library source study ID
    Unique identifier (UUID, 32-character uppercase hexadecimal string) of source study where the library was created.
    Example: B1B8327AFAA6412287106192AB5984EF
  • Title: Object ID
    Unique identifier (UUID, 32-character uppercase hexadecimal string) of the underlying object (for example, forms or rules).
    Example: B1B8327AFAA6412287106192AB5984EF
  • Title: Object type
    Type of the underlying object.
    Example: FORM
  • Title: Relation type
    Allowed Values: [ "LIBRARY_ROOT, IMPORT_FROM_LIBRARY, IMPORT_FROM_LIBRARY_MODIFIED" ]
    Relationship type describing how the library object is used.
    Example: LIBRARY_ROOT
  • Title: Study ID
    Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
    Example: B1B8327AFAA6412287106192AB5984EF
  • Title: Study type
    Type of the study.
    Example: LIBRARY
  • Title: Study version
    String representing the version of the study configuration or protocol. Helps track changes in form or study design.
    Example: 1.0.0.1
  • Title: Version start
    Uses version start timestamp.
    Example: 2023-08-30T07:59:46.901Z
Examples

500 Response

Error
Body ()
Root Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : details
Type: object
Back to Top